List an entity's Infonavit overdue credits
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/datasources/infonavit/overdue-credits \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/datasources/infonavit/overdue-credits"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/datasources/infonavit/overdue-credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/InfonavitOverdueCredit",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/datasources/infonavit/overdue-credits",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/datasources/infonavit/overdue-credits/9cc7fc78-5e84-4862-af83-c6c7022fcb41",
"@type": "InfonavitOverdueCredit",
"id": "9cc7fc78-5e84-4862-af83-c6c7022fcb41",
"nrp": "B5312345108",
"name": "EMPRESA DE PRUEBA SA DE CV",
"stateCode": "09",
"stateName": "CIUDAD DE MEXICO",
"creditCount": 3,
"firstPublicationDate": "2025-03-01",
"year": 2025,
"createdAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Overdue Credits
List an entity's Infonavit overdue credits
List the Infonavit Créditos Firmes records found for an entity. Each record represents an employer registration published in the public Infonavit list of firm (overdue) housing-credit obligations matched to the entity by name.
GET
/
entities
/
{entityId}
/
datasources
/
infonavit
/
overdue-credits
List an entity's Infonavit overdue credits
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
Required range:
1 <= x <= 1000Response
Infonavit overdue credit collection response
Example:
"/entities/91106968-1abd-4d64-85c1-4e73d96fb997/datasources/infonavit/overdue-credits"
Show child attributes
Show child attributes
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I